org.apache.ignite.internal.processors.platform.client

## Class ClientResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientResponse

Direct Known Subclasses:
  ClientBinaryTypeGetResponse, ClientBooleanResponse, ClientCacheGetConfigurationResponse, ClientCacheGetNamesResponse, ClientIntResponse, ClientLongResponse, ClientObjectResponse, ClientStringResponse

    public class ClientResponse
    extends ClientListenerResponse

Thin client response.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`ClientResponse(long reqId)` Constructor.
`ClientResponse(long reqId, int status, String err)` Constructor.
`ClientResponse(long reqId, String err)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(BinaryRawWriterEx writer)` Encodes the response data.
`long` `requestId()` Gets the request id.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientResponse

    public ClientResponse(long reqId)

Constructor.

Parameters:
  `reqId` - Request id.

#### ClientResponse

    public ClientResponse(long reqId,
                          String err)

Constructor.

Parameters:
  `reqId` - Request id.
  `err` - Error message.

#### ClientResponse

    public ClientResponse(long reqId,
                          int status,
                          String err)

Constructor.

Parameters:
  `reqId` - Request id.
  `status` - Status code.
  `err` - Error message.

### Method Detail

#### encode

    public void encode(BinaryRawWriterEx writer)

Encodes the response data.

#### requestId

    public long requestId()

Gets the request id.

Returns:
  Request id.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019